import { Component } from '@angular/core';
import { NavController, AlertController } from 'ionic-angular';
import { DataProvider } from '../../providers/data-provider';
import { LoginPage } from '../login/login';

@Component({
    selector: 'page-tools',
    providers: [DataProvider],
    templateUrl: 'tools.html'
})
export class ToolsPage {

    constructor(
        public navCtrl: NavController,
        public alertCtrl: AlertController,
        public dataProvider: DataProvider 
    ) { }

    ionViewDidLoad() {
      console.log('Hello Tools Page');
    }

    /**
     *
     */
    syncAllData() {
         this.alertCtrl.create({
            title: "Confirmar",
            message: "Desea sincronizar sus datos ahora?",
            buttons: [
                {
                    text: "Cancelar"
                },
                {
                    text: "Aceptar",
                    handler: () => {
                        console.log("ok");
                    }
                }
            ]
        }).present();
    }

    /**
     *
     */
    deleteAccount() {
        this.alertCtrl.create({
            title: "Confirmar",
            message: "Desea borrar su cuenta?",
            buttons: [
                {
                    text: "Cancelar"
                },
                {
                    text: "Aceptar",
                    handler: () => {
                        this.dataProvider.dropDatabase().then(r => {
                            localStorage.clear();
                            this.navCtrl.setRoot(LoginPage);
                        }).catch(e => {
                            console.log(e);
                        });
                        
                    }
                }
            ]
        }).present();
    }
}
